Bug 493812 - Certain tmpfs filesystems appear twice in /etc/mtab
Certain tmpfs filesystems appear twice in /etc/mtab
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 04:40 EDT by Joachim Frieben
Modified: 2009-05-22 08:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.29.3-155.fc11.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-22 08:02:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Content of /etc/fstab mounting /tmp and /var/tmp as tmpfs (1.08 KB, text/plain)
2009-04-03 04:41 EDT, Joachim Frieben
no flags Details
Corresponding content of /etc/mtab (849 bytes, text/plain)
2009-04-03 04:43 EDT, Joachim Frieben
no flags Details
Corresponding content of /proc/mounts (1.56 KB, text/plain)
2009-04-03 13:48 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-04-03 04:40:59 EDT
Description of problem:
On a fresh install of current "rawhide", /tmp and /var/tmp appear twice in /etc/mtab and the output of 'df' after setting them up as tmpfs file systems in /etc/fstab.

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-46.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot system.
2. Execute 'df' or check the content of /etc/mtab.
  
Actual results:
There are two entries for /tmp and /var/tmp respectively.

Expected results:
There are single entries for /tmp and /var/tmp respectively.

Additional info:
- This used to work for previous releases of Fedora including F10.
- No effect other than a cosmetical one has been observed.
Comment 1 Joachim Frieben 2009-04-03 04:41:51 EDT
Created attachment 338002 [details]
Content of /etc/fstab mounting /tmp and /var/tmp as tmpfs
Comment 2 Joachim Frieben 2009-04-03 04:43:08 EDT
Created attachment 338003 [details]
Corresponding content of /etc/mtab
Comment 3 Chuck Ebbert 2009-04-03 11:05:27 EDT
What does /proc/mounts contain?
Comment 4 Joachim Frieben 2009-04-03 13:48:31 EDT
Created attachment 338093 [details]
Corresponding content of /proc/mounts
Comment 5 Chuck Ebbert 2009-04-03 18:02:05 EDT
tmpfs lines from /proc/mounts:

tmpfs /dev/shm tmpfs rw,rootcontext=system_u:object_r:tmpfs_t:s0,relatime 0 0
tmpfs /tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
tmpfs /var/tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
tmpfs /tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
tmpfs /var/tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
tmpfs /tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
tmpfs /tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
tmpfs /var/tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
tmpfs /var/tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
Comment 6 Joachim Frieben 2009-04-11 03:40:05 EDT
This are the tmpfs lines from /proc/mounts after booting F11-Snap1-Live-i686 on some other standard Intel P4 system [kernel-2.6.29.1-54.fc11.i586]:

udev /dev tmpfs rw,relatime,mode=755 0 0
tmpfs /dev/shm tmpfs rw,rootcontext=system_u:object_r:tmpfs_t:s0,relatime 0 0
varcacheyum /var/cache/yum tmpfs rw,rootcontext=system_u:object_r:var_t:s0,relatime,mode=755 0 0
/tmp /tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
vartmp /var/tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
/tmp /tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
vartmp /var/tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
/tmp /tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
/tmp /tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
vartmp /var/tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
vartmp /var/tmp tmpfs rw,rootcontext=system_u:object_r:tmp_t:s0,relatime 0 0
Comment 7 Joachim Frieben 2009-05-22 08:02:06 EDT
Issue absent from a variety of previously affected systems for current "rawhide".

Note You need to log in before you can comment on or make changes to this bug.